Can't install 1.7 from Google Play: ... same shared user ID

Subforum for discussion and help with ScummVM's Android port

Moderator: ScummVM Team

Post Reply
ET3D
Posts: 2
Joined: Fri Aug 09, 2013 3:24 am

Can't install 1.7 from Google Play: ... same shared user ID

Post by ET3D »

I uninstalled the ScummVM version I had on my Nexus 7 (2012), which was some 1.6 alpha or something, then tried to install 1.7 from Google Play. I get the message:

Incompatible with other application(s) using the same shared user ID.

What can I do?

digitall
ScummVM Developer
Posts: 1053
Joined: Thu Aug 02, 2012 1:40 pm

Post by digitall »

You probably have an old plugin still installed. They do not show up in the main apps list or launcher.

Can you please do the following:
1. Remove all currently existing ScummVM applications and
plugins from your device:
Go to Settings->Phone - Apps->(All) list.
Click each ScummVM and then choose "Uninstall".

This should be sufficient, so try an install of the new build.. If not, then you can try the following:

2. When you have done this, remove any remaining ScummVM
data directories from your device and external storage
using a file manager like Ghost Commander:
https://play.google.com/store/apps/deta ... nder&hl=en

Warning: You will lose your savegames on the device unless you back up the ScummVM/Saves directory, before deleting.

3. Powercycle / Reboot your device. Dalvik/Android keeps a number of caches, so we just want to be sure that the various ScummVM versions are removed from your device cleanly.

Post Reply